<?php
/**
 * Система управления сайтом HostCMS v. 5.xx
 * Copyright © 2005-2010 ООО "Хостмэйк" (Hostmake LLC), http://www.hostcms.ru
 *
 * Обработчик группового перемещения меток и групп меток.
 *
 * Файл: /admin/tag/action/move_tags_groups.php
 *
 * @author Hostmake LLC
 * @version 5.x
 */

$tag = & singleton('Tag');
$kernel = & singleton('kernel');

$param_tag = array ();
$param_group = array();

$target_group_id = to_int($_POST['tag_group_id']);

$flag_move_items = false;
$flag_move_groups = false;

foreach($_REQUEST as $key => $value)
{		
	if (ereg("^move_group_([0-9]*)$", $key, $regs))
	{			
		$param_group['tags_group_id'] = $regs[1];
		$param_group['tags_group_parent_id'] = $target_group_id;		
	 	$tag->InsertTagsGroup($param_group);
		
		$flag_move_groups = true;
	}
	
	if (ereg("^move_tag_([0-9]*)$", $key, $regs))
	{			
		$param_tag['tag_id'] = $regs[1];
		$param_tag['tags_group_id'] = $target_group_id;				
		$tag->InsertTag($param_tag);
		
		$flag_move_items = true;
	}
}

if ($flag_move_groups)
{
	show_message($GLOBALS['MSG_tag']['move_tags_groups_success']);
}

if ($flag_move_items)
{
	show_message($GLOBALS['MSG_tag']['move_tags_success']);
}

?>